<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXPasswordField?>
<?import com.jfoenix.controls.JFXTabPane?>
<?import com.jfoenix.controls.JFXTextField?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.Tab?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TitledPane?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.BorderPane?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.text.Font?>

<AnchorPane id="AnchorPane" minHeight="570.0" minWidth="700.0" prefHeight="581.0" prefWidth="761.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sistemainvetario.fxventas.VentasController">
    <children>
      <JFXTabPane layoutX="190.0" layoutY="110.0" prefHeight="491.0" prefWidth="655.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <tabs>
            <Tab text="Nueva venta">
              <content>
                <AnchorPane style="-fx-background-color: #ffffff;">
                     <children>
                        <TableView fx:id="tabla_productos" layoutX="29.0" layoutY="72.0" onMousePressed="#mousePressedProductTable" prefHeight="103.0" prefWidth="418.0" AnchorPane.leftAnchor="29.0" AnchorPane.rightAnchor="314.0" AnchorPane.topAnchor="72.0">
                           <columns>
                              <TableColumn maxWidth="800.0" prefWidth="75.0" text="ID" />
                              <TableColumn prefWidth="75.0" text="Nombre" />
                              <TableColumn prefWidth="75.0" text="Grupo" />
                              <TableColumn prefWidth="134.0" text="Stock" visible="false" />
                              <TableColumn prefWidth="134.0" text="Precio" />
                              <TableColumn prefWidth="134.0" text="Precio compra" visible="false" />
                              <TableColumn prefWidth="134.0" text="Descripcion" />
                              <TableColumn prefWidth="134.0" text="FechaVencimiento" visible="false" />
                              <TableColumn prefWidth="134.0" text="Laboratorio" />
                              <TableColumn prefWidth="134.0" text="Codigo de barras" />
                              <TableColumn prefWidth="134.0" text="\%Ganancia" visible="false" />
                              <TableColumn prefWidth="134.0" text="Lote" visible="false" />
                           </columns>
                           <columnResizePolicy>
                              <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                           </columnResizePolicy>
                        </TableView>
                        <JFXButton layoutX="29.0" layoutY="495.0" onAction="#onBtnRemover" prefHeight="25.0" prefWidth="105.0" ripplerFill="#f8f8f8" style="-fx-background-color: #ee5c48;" text="SUPR - Eliminar" textFill="WHITE" AnchorPane.bottomAnchor="24.0" AnchorPane.leftAnchor="29.0">
                           <font>
                              <Font name="System Bold" size="12.0" />
                           </font></JFXButton>
                        <TableView fx:id="tabla_venta" editable="true" layoutX="29.0" layoutY="233.0" onKeyPressed="#onSalesTableKeyPressed" onMousePressed="#mousePressedVentasTable" prefHeight="262.0" prefWidth="424.0" AnchorPane.bottomAnchor="49.0" AnchorPane.leftAnchor="29.0" AnchorPane.rightAnchor="308.0" AnchorPane.topAnchor="233.0">
                          <columns>
                            <TableColumn maxWidth="800.0" prefWidth="75.0" text="ID" />
                              <TableColumn prefWidth="75.0" text="Cod. Barras" />
                            <TableColumn prefWidth="136.0" text="Producto" />
                              <TableColumn prefWidth="63.0" text="Cantidad" />
                              <TableColumn prefWidth="134.0" text="Subtotal" />
                              <TableColumn prefWidth="134.0" text="Laboratorio" visible="false" />
                          </columns>
                           <columnResizePolicy>
                              <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                           </columnResizePolicy>
                        </TableView>
                        <Label layoutX="477.0" layoutY="64.0" text="TOTAL $" AnchorPane.rightAnchor="192.0" AnchorPane.topAnchor="64.0">
                           <font>
                              <Font name="System Bold" size="23.0" />
                           </font>
                        </Label>
                        <Label fx:id="lbl_total" layoutX="588.0" layoutY="64.0" prefHeight="34.0" prefWidth="154.0" text="0.0" AnchorPane.rightAnchor="19.0" AnchorPane.topAnchor="64.0">
                           <font>
                              <Font size="23.0" />
                           </font>
                        </Label>
                        <JFXTextField fx:id="txt_dinero_cliente" focusColor="#fc4979" labelFloat="true" layoutX="488.0" layoutY="182.0" onAction="#onDineroCliente" prefHeight="37.0" prefWidth="224.0" promptText="Cuanto ha pagado el cliente?" unFocusColor="#979797" AnchorPane.rightAnchor="49.0" AnchorPane.topAnchor="182.0">
                           <font>
                              <Font size="18.0" />
                           </font></JFXTextField>
                        <Label fx:id="lbl_cambio_cliente" layoutX="488.0" layoutY="232.0" prefHeight="28.0" prefWidth="225.0" text="Cambio: " AnchorPane.rightAnchor="48.0" AnchorPane.topAnchor="232.0">
                           <font>
                              <Font size="20.0" />
                           </font>
                        </Label>
                        <Label alignment="CENTER" layoutX="488.0" layoutY="272.0" prefHeight="205.0" prefWidth="231.0" text="DROGUERÍA SANAR&#10;NIT: 123456789-5&#10;&#10;Fecha: Dic-23-2019  Hora: 19:37&#10;&#10;Cant         Detalle                Vr/Total&#10;-------------------------------------&#10;5            Acetaminofen           2000&#10;--------------------------------------&#10;&#10;" textAlignment="CENTER" visible="false" AnchorPane.rightAnchor="42.0" AnchorPane.topAnchor="272.0" />
                        <JFXButton layoutX="211.0" layoutY="201.0" onAction="#onBtnListo" prefHeight="25.0" prefWidth="101.0" ripplerFill="#f8f8f8" style="-fx-background-color: #16cfe7;" text="ENTER - Listo" textFill="WHITE" AnchorPane.leftAnchor="211.0" AnchorPane.topAnchor="201.0" />
                        <Label fx:id="lbl_producto" layoutX="156.0" layoutY="162.0" prefHeight="25.0" prefWidth="156.0" />
                        <JFXButton layoutX="585.0" layoutY="487.0" onAction="#onBtnRegistrarVenta" prefHeight="35.0" prefWidth="142.0" ripplerFill="WHITE" style="-fx-background-color: #16cfe7;" text="REGISTRAR VENTA" textFill="WHITE" AnchorPane.bottomAnchor="22.0" AnchorPane.rightAnchor="19.0">
                           <font>
                              <Font name="System Bold" size="11.0" />
                           </font></JFXButton>
                        <JFXButton layoutX="470.0" layoutY="487.0" onAction="#onBtnCancelar" prefHeight="35.0" prefWidth="130.0" ripplerFill="WHITE" style="-fx-background-color: #ee5c48;" text="CANCELAR / LIMPIAR" textFill="WHITE" AnchorPane.bottomAnchor="22.0" AnchorPane.rightAnchor="167.0">
                           <font>
                              <Font name="System Bold" size="11.0" />
                           </font></JFXButton>
                        <JFXTextField fx:id="txt_cantidad" focusColor="#fc4979" labelFloat="true" layoutX="29.0" layoutY="201.0" onAction="#onCantidadFinish" prefHeight="25.0" prefWidth="169.0" promptText="Cantidad ENTER para guardar" unFocusColor="#949292" AnchorPane.leftAnchor="29.0" AnchorPane.topAnchor="201.0" />
                        <JFXButton layoutX="352.0" layoutY="35.0" onAction="#onBtnActualizar" prefHeight="25.0" prefWidth="94.0" ripplerFill="#f8f8f8" style="-fx-background-color: #16cfe7;" text="Actualizar" textFill="WHITE" AnchorPane.rightAnchor="315.0" AnchorPane.topAnchor="35.0">
                           <font>
                              <Font name="System Bold" size="12.0" />
                           </font></JFXButton>
                        <Label fx:id="lbl_venta_anterior" layoutX="474.0" layoutY="14.0" prefHeight="17.0" prefWidth="270.0" AnchorPane.rightAnchor="17.0" AnchorPane.topAnchor="14.0" />
                        <JFXTextField fx:id="txt_producto" focusColor="#ff0090" labelFloat="true" layoutX="29.0" layoutY="35.0" onAction="#onEnterKey" onKeyTyped="#onKeyTyped" prefHeight="25.0" prefWidth="309.0" promptText="ENTER - Agrega el primer producto de resultados" unFocusColor="#b2b2b2" />
                     </children>
                  </AnchorPane>
              </content>
            </Tab>
            <Tab text="Historial">
               <content>
                  <AnchorPane style="-fx-background-color: #ffffff;">
                     <children>
                        <TextArea fx:id="info_area" editable="false" layoutX="14.0" layoutY="14.0" prefHeight="544.0" prefWidth="761.0" AnchorPane.bottomAnchor="10.0" AnchorPane.leftAnchor="10.0" AnchorPane.rightAnchor="10.0" AnchorPane.topAnchor="10.0" />
                     </children>
                  </AnchorPane>
               </content>
            </Tab>
         </tabs>
      </JFXTabPane>
      <AnchorPane fx:id="panel_iniciar_sesion" prefHeight="581.0" prefWidth="761.0" style="-fx-background-color: rgba(0,0,0,0.5);" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <children>
            <BorderPane prefHeight="581.0" prefWidth="761.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
               <center>
                  <Pane maxHeight="180.0" maxWidth="300.0" prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #ffffff;" BorderPane.alignment="CENTER">
                     <children>
                        <JFXTextField fx:id="txt_usuario" focusColor="#ff33e0" labelFloat="true" layoutX="83.0" layoutY="26.0" promptText="Usuario" unFocusColor="#b2b2b2" />
                        <JFXPasswordField fx:id="txt_contrasena" focusColor="#ff33e0" layoutX="83.0" layoutY="62.0" onAction="#onBtnIniciarSesion" promptText="Contraseña" unFocusColor="#b2b2b2" />
                        <JFXButton layoutX="82.0" layoutY="109.0" onAction="#onBtnIniciarSesion" prefHeight="28.0" prefWidth="137.0" style="-fx-background-color: #16cfe7;" text="Iniciar sesión" textFill="#f8f8f8" />
                        <TitledPane animated="false" expanded="false" layoutY="155.0" prefHeight="184.0" prefWidth="300.0" text="Ajustes">
                          <content>
                            <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0">
                                 <children>
                                    <JFXTextField fx:id="txt_db_name" labelFloat="true" layoutX="21.0" layoutY="30.0" prefHeight="25.0" prefWidth="93.0" promptText="Nombre base" text="dbsanar" />
                                    <JFXPasswordField fx:id="txt_db_password" focusColor="#a84098" labelFloat="true" layoutX="159.0" layoutY="30.0" prefHeight="25.0" prefWidth="111.0" promptText="Clave base" text="1234" />
                                    <JFXTextField fx:id="txt_ip_server" labelFloat="true" layoutX="21.0" layoutY="97.0" prefHeight="25.0" prefWidth="249.0" promptText="Ip servidor" text="192.168.204.132" />
                                 </children>
                              </AnchorPane>
                          </content>
                        </TitledPane>
                     </children>
                  </Pane>
               </center>
            </BorderPane>
         </children>
      </AnchorPane>
    </children>
</AnchorPane>
